# DepthLimitedBlurShader

## Import

DepthLimitedBlurShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { DepthLimitedBlurShader, BlurShaderUtils } from 'three/addons/shaders/DepthLimitedBlurShader.js';
```

## Properties

### .DepthLimitedBlurShader : ShaderMaterial~Shader (inner, constant)

TODO

Used by [SAOPass](SAOPass.html).

## Source

[examples/jsm/shaders/DepthLimitedBlurShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/DepthLimitedBlurShader.js)